GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.types.TypePrinter Class Reference
Inheritance diagram for gdb.types.TypePrinter:

## Public Member Functions
def | __init__ (self, name)
def | instantiate (self)
def | __init__ (self, name)
def | instantiate (self)

## Public Attributes
| name
| enabled

## Detailed Description

    The base class for type printers.

    Instances of this type can be used to substitute type names during
    'ptype'.

    A type printer must have at least 'name' and 'enabled' attributes,
    and supply an 'instantiate' method.

    The 'instantiate' method must either return None, or return an
    object which has a 'recognize' method.  This method must accept a
    gdb.Type argument and either return None, meaning that the type
    was not recognized, or a string naming the type.

Definition at line 115 of file types.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.types.TypePrinter.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 130 of file types.py.

Referenced by gdb.types.TypePrinter.__init__().

## ◆ __init__() [2/2]

def gdb.types.TypePrinter.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 130 of file types.py.

References gdb.types.TypePrinter.__init__(), gdb.printing.PrettyPrinter.enabled, gdb.printing.SubPrettyPrinter.enabled, gdb.types.TypePrinter.enabled, bp_location.enabled, exsummary.Function.name, cmd_list_element.name, gdb.printing.PrettyPrinter.name, subfile.name, gdb.printing.SubPrettyPrinter.name, name, ada_task_info.name, gdb.types.TypePrinter.name, context_stack.name, subfile_stack.name, aop_map.name, cache_entry.name, ada_exc_info.name, and loaded_script.name.

## Member Function Documentation

## ◆ instantiate() [1/2]

def gdb.types.TypePrinter.instantiate | ( |  | self | ) |

Definition at line 134 of file types.py.

Referenced by gdb.types.TypePrinter.instantiate().

## ◆ instantiate() [2/2]

def gdb.types.TypePrinter.instantiate | ( |  | self | ) |

Definition at line 134 of file types.py.

References gdb.types._get_some_type_recognizers(), gdb.types.apply_type_recognizers(), gdb.types.get_type_recognizers(), gdb.types.TypePrinter.instantiate(), and gdb.types.register_type_printer().

## Member Data Documentation

## ◆ enabled

gdb.types.TypePrinter.enabled

Definition at line 132 of file types.py.

Referenced by gdb.unwinder.Unwinder.__init__(), gdb.xmethod.XMethod.__init__(), gdb.xmethod.XMethodMatcher.__init__(), and gdb.types.TypePrinter.__init__().

## ◆ name

gdb.types.TypePrinter.name

Definition at line 131 of file types.py.

Referenced by gdb.unwinder.Unwinder.__init__(), gdb.xmethod.XMethod.__init__(), gdb.xmethod.XMethodMatcher.__init__(), and gdb.types.TypePrinter.__init__().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/types.py